import java.io.*;
import java.util.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;

public class Controls extends JPanel implements Observer
{
  private Model model;
  private JSlider playback;

  // Bob the Builder this shit
  public Controls(Model model, Handler handler)
  {
    // Hook up this observer so that it will be notified when the model
    // changes.
    this.model = model;
    this.setLayout(new BoxLayout(this, BoxLayout.X_AXIS));
    this.setPreferredSize(new Dimension(1280,75));
    this.setMinimumSize(new Dimension(320, 75));
    this.playback = new JSlider(new DefaultBoundedRangeModel(0, 0, 0, 0));
//    this.playback.addChangeListener(new ChangeListener()
//    {
//      public void stateChanged(ChangeEvent e)
//      {
//        if (playback.getValue() != model.getThingies().size())
//	{
//          model.changeThingy(playback.getValue() - 1);
//	}
//      }
//    });
    this.playback.setPreferredSize(new Dimension(280, 75));
    this.add(playback);
    model.addObserver(this);
  }

  public void update(Object observable)
  {
    this.playback.setMaximum(model.getThingies().size());
    this.playback.setValue(model.getThingies().size());
    this.setBackground(model.controlColour);
    revalidate();
    repaint();
  }
}

